[Collab-qa-commits] r1198 - in debcluster/scripts: bin.local piuparts
lucas at alioth.debian.org
lucas at alioth.debian.org
Tue Sep 2 10:42:05 UTC 2008
Author: lucas
Date: 2008-09-02 10:42:04 +0000 (Tue, 02 Sep 2008)
New Revision: 1198
Modified:
debcluster/scripts/bin.local/piuparts-sid-main.sh
debcluster/scripts/piuparts/gentasklist.rb
Log:
debcluster path updates
Modified: debcluster/scripts/bin.local/piuparts-sid-main.sh
===================================================================
--- debcluster/scripts/bin.local/piuparts-sid-main.sh 2008-09-02 09:04:38 UTC (rev 1197)
+++ debcluster/scripts/bin.local/piuparts-sid-main.sh 2008-09-02 10:42:04 UTC (rev 1198)
@@ -1,17 +1,18 @@
#!/bin/bash
+set -e
+
# needs TARGET WALLTIME NODES
#export OARSUBOPT="-p \"netgdx='YES'\""
ARCH=i386
ID=sid-i386.$(date --iso)
-PIUARGS=" -c /debcluster-data/chroots/sid32-piuparts.tgz -d sid -a '-m' -a 'http://127.0.0.1:9999/debian'"
-#PIUARGS=" -c /debcluster-data/chroots/sid32-piuparts.tgz -d sid -a \"--warn-on-others\" -a \"--no-symlinks\" -a '-m http://127.0.0.1:9999/debian'"
+PIUARGS=" -c /dc/data/chroots/sid32-piuparts.tgz -d sid -a '-m' -a 'http://127.0.0.1:9999/debian'"
cd ~/collab-qa/debcluster/scripts
-cat ~/debcluster-data/mirrors/debian/dists/sid/main/binary-${ARCH}/Packages |grep "^Package:" | awk '{print $2}' | sort > /tmp/wp.${ID}.1
-mdt list_sub /tmp/wp.${ID}.1 piuparts/piuparts.untestable > /tmp/wp.${ID}.2
+cat ~/mirrors/debian/dists/sid/main/binary-${ARCH}/Packages |grep "^Package:" | awk '{print $2}' | sort > /tmp/wp.${ID}.1
+fcb /tmp/wp.${ID}.1 minus piuparts/piuparts.untestable > /tmp/wp.${ID}.2
piuparts/gentasklist.rb "$PIUARGS" $ID < /tmp/wp.${ID}.2 > /tmp/tasklisttext.piu.${ID}.3
echo "Tasklist (in text) is /tmp/tasklisttext.piu.${ID}.3"
Modified: debcluster/scripts/piuparts/gentasklist.rb
===================================================================
--- debcluster/scripts/piuparts/gentasklist.rb 2008-09-02 09:04:38 UTC (rev 1197)
+++ debcluster/scripts/piuparts/gentasklist.rb 2008-09-02 10:42:04 UTC (rev 1198)
@@ -1,6 +1,6 @@
#!/usr/bin/ruby -w
-TASK='/debcluster-scripts/scripts/tasks/piuparts.rb'
+TASK='/dc/debcluster/scripts/tasks/piuparts.rb'
if ARGV.length != 2
puts "./gentasklist.rb PIUARGS ID < file > file2"
exit 1
@@ -11,5 +11,5 @@
STDIN.each_line do |l|
p = l.chomp
- puts "p_#{ID}_#{p} [0,-1] #{TASK} -p #{p} #{PIUARGS} -l /debcluster-data/logs/piu.#{ID}/#{p}.log"
+ puts "p_#{ID}_#{p} [0,-1] #{TASK} -p #{p} #{PIUARGS} -l /dc/data/logs/piu.#{ID}/#{p}.log"
end
More information about the Collab-qa-commits
mailing list